Create a PIX bank account
curl --request POST \
--url https://api-sandbox.circle.com/v1/businessAccount/banks/pix \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"idempotencyKey": "ba943ff1-ca16-49b2-ba55-1057e70ca5c7",
"name": "CIRCLE INTERNET FINANCIAL INC",
"accountNumber": "322286803",
"ispb": "68033222",
"branchCode": "123",
"taxId": "57112345675712",
"accountType": "checking"
}
'import requests
url = "https://api-sandbox.circle.com/v1/businessAccount/banks/pix"
payload = {
"idempotencyKey": "ba943ff1-ca16-49b2-ba55-1057e70ca5c7",
"name": "CIRCLE INTERNET FINANCIAL INC",
"accountNumber": "322286803",
"ispb": "68033222",
"branchCode": "123",
"taxId": "57112345675712",
"accountType": "checking"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
idempotencyKey: 'ba943ff1-ca16-49b2-ba55-1057e70ca5c7',
name: 'CIRCLE INTERNET FINANCIAL INC',
accountNumber: '322286803',
ispb: '68033222',
branchCode: '123',
taxId: '57112345675712',
accountType: 'checking'
})
};
fetch('https://api-sandbox.circle.com/v1/businessAccount/banks/pix', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "b8627ae8-732b-4d25-b947-1df8f4007a29",
"status": "pending",
"description": "BTG Pactual ****0010",
"trackingRef": "CIR13FB13A",
"transferTypesInfo": {
"pix": {
"currencies": [
"BRL"
]
}
},
"riskEvaluation": {
"decision": "approved",
"reason": "3000"
},
"policyEvaluation": {
"status": "approved"
},
"fingerprint": "eb170539-9e1c-4e92-bf4f-1d09534fdca2",
"createDate": "2020-04-10T02:13:30.000Z",
"updateDate": "2020-04-10T02:13:30.000Z"
}
}{
"code": 400,
"message": "Bad request."
}{
"code": 401,
"message": "Malformed authorization."
}POST
/
v1
/
businessAccount
/
banks
/
pix
Create a PIX bank account
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Universally unique identifier (UUID v4) idempotency key. This key is utilized to ensure exactly-once execution of mutating requests.
Example:
"ba943ff1-ca16-49b2-ba55-1057e70ca5c7"
Name of the beneficiary.
Example:
"CIRCLE INTERNET FINANCIAL INC"
Beneficiary account number.
Example:
"322286803"
Beneficiary ISPB.
Example:
"68033222"
Beneficiary account branch code.
Example:
"123"
Beneficiary Tax ID.
Example:
"57112345675712"
Beneficiary account type.
Available options:
checking, savings, salary, prepaid Example:
"checking"
Response
Successfully created a bank account for PIX transfers.
Show child attributes
Show child attributes
Was this page helpful?
⌘I